"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.QueryPreviewActions = void 0;
var _toolkit = require("@reduxjs/toolkit");
var _react = _interopRequireWildcard(require("react"));
var _types = require("../types");
var _a11y = require("../utils/a11y");
var _object = require("../utils/object");
var _TreeView = require("./TreeView");
var _react2 = require("@emotion/react");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const keySep = ' - ';
const rootProps = {
  'aria-labelledby': (0, _a11y.renderTabPanelButtonId)(_types.QueryPreviewTabs.actions),
  id: (0, _a11y.renderTabPanelId)(_types.QueryPreviewTabs.actions),
  role: 'tabpanel'
};
class QueryPreviewActions extends _react.PureComponent {
  selectFormattedActions = (() => (0, _toolkit.createSelector)(_object.identity, actions => {
    const output = {};
    if (actions.length === 0) {
      return _object.emptyRecord;
    }
    for (let i = 0, len = actions.length; i < len; i++) {
      const action = actions[i];
      const key = `${i}${keySep}${action?.type ?? ''}`;
      output[key] = action;
    }
    return output;
  }))();
  isLastActionNode = (keyPath, layer) => {
    if (layer >= 1) {
      const len = this.props.actionsOfQuery.length;
      const actionKey = keyPath[keyPath.length - 1];
      if (typeof actionKey === 'string') {
        const index = Number(actionKey.split(keySep)[0]);
        return len > 0 && len - index < 2;
      }
    }
    return false;
  };
  shouldExpandNodeInitially = (keyPath, value, layer) => {
    if (layer === 1) {
      return this.isLastActionNode(keyPath, layer);
    }
    if (layer === 2) {
      return this.isLastActionNode(keyPath, layer) && (keyPath[0] === 'meta' || keyPath[0] === 'error');
    }
    return layer <= 1;
  };
  render() {
    const {
      isWideLayout,
      actionsOfQuery
    } = this.props;
    return (0, _react2.jsx)(_TreeView.TreeView, {
      rootProps: rootProps,
      data: this.selectFormattedActions(actionsOfQuery),
      isWideLayout: isWideLayout,
      shouldExpandNodeInitially: this.shouldExpandNodeInitially
    });
  }
}
exports.QueryPreviewActions = QueryPreviewActions;