"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.changeQueryFormValues = void 0;
exports.reducer = reducer;
exports.selectedPreviewTab = exports.selectQueryKey = void 0;
var _toolkit = require("@reduxjs/toolkit");
var _types = require("./types");
var _comparators = require("./utils/comparators");
var _filters = require("./utils/filters");
const initialState = {
  queryForm: {
    values: {
      queryComparator: _comparators.QueryComparators.fulfilledTimeStamp,
      isAscendingQueryComparatorOrder: false,
      searchValue: '',
      isRegexSearch: false,
      queryFilter: _filters.QueryFilters.queryKey
    }
  },
  selectedPreviewTab: _types.QueryPreviewTabs.queryinfo,
  selectedQueryKey: null
};
const monitorSlice = (0, _toolkit.createSlice)({
  /**
   * `@@` prefix is mandatory.
   * @see lifedAction @ `packages/redux-devtools-app/src/actions/index.ts`
   */
  name: '@@rtk-query-monitor',
  initialState,
  reducers: {
    changeQueryFormValues(state, action) {
      state.queryForm.values = {
        ...state.queryForm.values,
        ...action.payload
      };
    },
    selectQueryKey(state, action) {
      state.selectedQueryKey = {
        queryKey: action.payload.queryKey,
        reducerPath: action.payload.reducerPath
      };
    },
    selectedPreviewTab(state, action) {
      state.selectedPreviewTab = action.payload;
    }
  }
});
function reducer(props, state, action) {
  return monitorSlice.reducer(state, action);
}
const {
  selectQueryKey,
  changeQueryFormValues,
  selectedPreviewTab
} = monitorSlice.actions;
exports.selectedPreviewTab = selectedPreviewTab;
exports.changeQueryFormValues = changeQueryFormValues;
exports.selectQueryKey = selectQueryKey;