import { Selector } from '@reduxjs/toolkit';
import { ReactNode, PureComponent } from 'react';
import type { ShouldExpandNodeInitially } from 'react-json-tree';
import { RtkResourceInfo, RTKStatusFlags } from '../types';
type QueryTimings = {
    startedAt: string;
    loadedAt: string;
    duration: string;
};
type FormattedQuery = {
    key: string;
    reducerPath: string;
    timings: QueryTimings;
    statusFlags: RTKStatusFlags;
} & ({
    mutation: RtkResourceInfo['state'];
} | {
    query: RtkResourceInfo['state'];
});
export interface QueryPreviewInfoProps {
    resInfo: RtkResourceInfo;
    isWideLayout: boolean;
}
export declare class QueryPreviewInfo extends PureComponent<QueryPreviewInfoProps> {
    shouldExpandNodeInitially: ShouldExpandNodeInitially;
    selectFormattedQuery: Selector<RtkResourceInfo, FormattedQuery>;
    render(): ReactNode;
}
export {};
