import React, { ReactNode } from 'react';
import { QueryPreviewTabs, RtkResourceInfo, SelectorsSource, TabOption } from '../types';
import { InspectorSelectors } from '../selectors';
export interface QueryPreviewProps<S = unknown> {
    readonly selectedTab: QueryPreviewTabs;
    readonly hasNoApis: boolean;
    readonly onTabChange: (tab: QueryPreviewTabs) => void;
    readonly resInfo: RtkResourceInfo | null;
    readonly isWideLayout: boolean;
    readonly selectorsSource: SelectorsSource<S>;
    readonly selectors: InspectorSelectors<S>;
}
export declare class QueryPreview<S> extends React.PureComponent<QueryPreviewProps<S>> {
    renderLabelWithCounter: (label: React.ReactText, counter: number) => string;
    renderTabLabel: (tab: TabOption<QueryPreviewTabs, unknown, "query" | "mutation">) => ReactNode;
    render(): ReactNode;
}
